{

	//触发消失

	"AbilityName" : "GamePlaySUMO_OutRangeDie",

	"AbilityStacking":"Unique",

	"DefaultModifier":

	{

		"ModifierStacking":"Unique",

		"OnAdded":

		[

            //触发受击演出

            {

               "$type": "MoleMole.ApplyModifier",

               "ModifierName": "OutRangeDie_Trigger_Mark",

               "Target": "Self",

            },

		]

	},



   "Modifiers" : 

   {

        "OutRangeDie_Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1, //ModifierMixin与Modifier同生共死



            "OnRemoved" :

            [

                //添加ShaderMatCap表现

                {

                    "$type" : "MoleMole.ApplyMatCapAction",

                    "MatCapKey" : "OutRangeDie_Trigger_Mark",

                    "Target" : "Self",

                },

            ],

        },



        "OutRangeDie_Trigger_Mark":

        {

            "ModifierStacking":"Unique",

            "Duration": -1,

            "IgnoreTimeScale" : false,

            //"ThinkInterval" : 0.5,



            "OnAdded" :

            [   

                //设置死亡途径

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 3,

                    "ParamName" : "Int_LivingState",

                    "Target" : "Self",

                    "IntVal" : 1,

                },

                //原地死亡

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 3,

                    "ParamName" : "Int_DeathWay",

                    "Target" : "Self",

                    "IntVal" : 1,

                },

                //触发受击动作

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 1,

                    "ParamName" : "Trigger_Die",

                    "Target" : "Self",

                    "BoolVal" : true,

                },

            ]

        },

    },



	"AbilitySpecials" : 

	{

        //表格参数

        "HpPercentage" :

        {

            "Value" : 100.0

        },

        "ShieldAmount" :

        {

            "Value" : 1

        }

    }

}